---
updatedAt: 2026-10-06T17:37:25.000Z
agentTools:
  projectIndex: https://docs.akeyless.io/llms.txt
---

# /unwrap-token

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "contact": {
      "email": "support@akeyless.io",
      "name": "Akeyless",
      "url": "http://akeyless.io"
    },
    "description": "The purpose of this application is to provide access to Akeyless API.",
    "title": "Identity & access",
    "version": "3.0"
  },
  "paths": {
    "/unwrap-token": {
      "post": {
        "operationId": "unwrapToken",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/unwrapToken"
              }
            }
          },
          "required": true,
          "x-go-name": "Body"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/unwrapTokenResponse"
          },
          "default": {
            "$ref": "#/components/responses/errorResponse"
          }
        },
        "tags": [
          "Authentication"
        ],
        "x-docs-category": "Identity & access",
        "x-docs-group": "Authentication"
      }
    }
  },
  "tags": [
    {
      "name": "Authentication"
    }
  ],
  "x-readme": {
    "apply-tag-changes": true
  },
  "servers": [
    {
      "url": "https://api.akeyless.io"
    }
  ],
  "components": {
    "responses": {
      "errorResponse": {
        "description": "errorResponse wraps any error to return it as a JSON object with one \"error\"\nfield.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/JSONError"
            }
          }
        }
      },
      "unwrapTokenResponse": {
        "description": "unwrapTokenResponse wraps response body.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UnwrapTokenOutput"
            }
          }
        }
      }
    },
    "schemas": {
      "JSONError": {
        "properties": {
          "error": {
            "type": "string",
            "x-go-name": "Err"
          }
        },
        "title": "JSONError wraps an error with JSON object.",
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client"
      },
      "UnwrapTokenOutput": {
        "properties": {
          "value": {
            "type": "string",
            "x-go-name": "Value"
          }
        },
        "title": "UnwrapTokenOutput defines output of UnwrapToken operation.",
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/infra/types"
      },
      "unwrapToken": {
        "properties": {
          "json": {
            "default": false,
            "description": "Set output format to JSON",
            "type": "boolean",
            "x-go-name": "Json"
          },
          "shared-token": {
            "description": "The shared token",
            "type": "string",
            "x-go-name": "Token"
          }
        },
        "required": [
          "shared-token"
        ],
        "title": "unwrapToken is a command that returns an unwrapped token.",
        "type": "object",
        "x-go-package": "akeyless.io/akeyless-main-repo/go/src/client/commands"
      }
    }
  }
}
```